import { AppProps } from "$fresh/server.ts";

import { Head } from "$fresh/runtime.ts";
export default function App({ Component }: AppProps) {
  return (
    <>
      <Head>
        <link href="/global.css" rel="stylesheet" />
        <link href="/prism-material-dark.css" rel="stylesheet" />
        <style>
          {`
          :root {
            --background: rgb(43, 41, 48);
            --foreground: rgb(129, 129, 129);
          }
          /* work-sans-regular - latin */
          @font-face {
            font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
            font-family: 'Work Sans';
            font-style: normal;
            font-weight: 400;
            src: url('/fonts/work-sans-v18-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
          }

          /* work-sans-700 - latin */
          @font-face {
            font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
            font-family: 'Work Sans';
            font-style: normal;
            font-weight: 700;
            src: url('/fonts/work-sans-v18-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
          }

          body {
            background: #141218;
            padding: 0px 20px;
          }
          pre {
            font-family:Work Sans;
          }

          a {
            color: cadetblue;
            font-family: Work Sans;
          }

          `}
        </style>
      </Head>
      <Component />
    </>
  );
}
